freeslot ("sfx_steppy", "sfx_slam")

sfxinfo[sfx_steppy].caption = "Footsteps"
sfxinfo[sfx_slam].caption = "Homing Slam"

addHook("PlayerThink", function(player)
	if player.mo
	and player.mo.skin == "modernmighty"
		if P_IsObjectOnGround(player.mo)
		and not (player.mo.eflags & MFE_UNDERWATER)
		and not (player.mo.eflags & MFE_TOUCHWATER)
		local footstep = false
			if (player.mo.state == S_PLAY_WALK)
				if (player.mo.frame == A or player.mo.frame == D)
					if not footstep
					and not player.powers[pw_super]
					and not S_SoundPlaying(player.mo, sfx_steppy)
					S_StartSound(player.mo, sfx_steppy)
					P_SpawnSkidDust(player, 1*FRACUNIT)
					end
				footstep = true
				else
				footstep = false
				end
			elseif (player.mo.state == S_PLAY_RUN or player.mo.state == S_PLAY_DASH)
				if (leveltime % 5) == 4
				and not player.powers[pw_super]
				S_StartSound(player.mo, sfx_steppy)
				end
			end
		end
	end
end)